Print

Print


Commit in LCDetectors/detectors on MAIN
make_all_heprep.sh+13added 1.1
make_heprep.sh+25added 1.1
+38
2 added files
JM: Add heprep scripts.

LCDetectors/detectors
make_all_heprep.sh added at 1.1
diff -N make_all_heprep.sh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ make_all_heprep.sh	6 Sep 2006 18:20:51 -0000	1.1
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+for d in $(cat taglist.txt); do
+    if [ -d $d ]; then
+        if [ -e $d/compact.xml ]; then
+            echo $d
+            ./make_heprep.sh $d
+        fi
+    fi
+done
+
+
+

LCDetectors/detectors
make_heprep.sh added at 1.1
diff -N make_heprep.sh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ make_heprep.sh	6 Sep 2006 18:20:52 -0000	1.1
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+#
+# Script to convert all detectors from compact to HepRep.
+#
+# Make sure you have Java 1.5.0 setup before running this.
+#
+
+# Where is your GeomConverter run script?
+if [ -z "$GEOMCONVERTER" ]; then
+    GEOMCONVERTER="${PRJ_DIST}/GeomConverter/pro/bin/GeomConverter"
+fi
+
+if [ -z "$1" ]; then
+  echo "ERROR: Missing detector to convert."
+  exit 1
+fi
+
+f=./$1/compact.xml
+
+d=$(dirname $f)
+
+$GEOMCONVERTER -o heprep $f detector.heprep
+
+mv detector.heprep $d
CVSspam 0.2.8